Checkie Loading
Checkie

Integrate with Checkie's API to manage your check-ins, staff, visitors, students and more.

Version 1.0 (August 2025)

Overview

The Checkie API allows schools and businesses to automate, integrate and extend their visitor, staff and student check-in processes. It’s a RESTful API returning clean JSON responses and uses an account-specific x-api-key header for authentication.

To generate your account API key, head to the Checkie Admin Dashboard Settings tab and scroll down to the Integrations section.

Fair Usage Policy

The Checkie API is offered for integration and automation purposes. Excessive, abusive, or non-standard use may result in your API key being revoked without notice. Please contact us if you're unsure whether your use case complies with this policy.

Base URL

https://checkie.org/api

Authentication

Include your API key as a header in each request:

curl -X GET https://checkie.org/api/activity \
     -H "x-api-key: YOUR_API_KEY"

Warning: Your API key grants access to your data and is highly sensitive. Keep your API key stored securely at all times.

Available Resources

  • /activity – Recent check-in/out events (GET - filterable by person type, full name and date range)
  • /staff – Manage staff records (GET, POST, PATCH, DELETE)
  • /students – Manage student records (GET, POST, PATCH, DELETE)
  • /visitors – Manage visitor records (GET, POST, PATCH, DELETE)
  • /checkin – Check people in (POST)
  • /checkout – Check people out (POST)
  • /firereport – Fire report of currently onsite staff and visitors (GET)
  • /studentsfirereport – Fire report for all enrolled students (GET)

Usage Notes

  • All timestamps must be in UTC ISO 8601 format or offset like '+02:00', e.g. 2025-07-17T09:00:00Z or 2025-07-17T09:00:00+02:00
  • Activity endpoints support pagination and filtering by date/type.
  • If you do not provide an 'arrived' or 'departed' value for your check-ins and check-outs, these will be generated automatically for you by Checkie.

Get Started

To help you get started quickly, use our Swagger UI to test and visualise your queries, import our example Postman collection, or download and import into your own API client (we recommend Bruno).

Example Usage

GET Recent staff activity

curl -X GET "https://checkie.org/api/activity?type=staff" \
     -H "x-api-key: YOUR_API_KEY"

GET Fire report of currently onsite staff and visitors

curl -X GET "https://checkie.org/api/firereport \
       -H "x-api-key: YOUR_API_KEY"

POST Add a new staff member

curl -X POST https://checkie.org/api/staff \
       -H "Content-Type: application/json" \
       -H "x-api-key: YOUR_API_KEY" \
       -d '{
        "fullName": "Jane Doe",
        "email": "[email protected]",
        "jobTitle": "Office Manager"
       }'

POST Check-in a visitor

curl -X POST https://checkie.org/api/checkin \
       -H "Content-Type: application/json" \
       -H "x-api-key: YOUR_API_KEY" \
       -d '{
        "type": "visitor",
        "fullName": "Mark Hughes",
        "arrived": "2025-07-20T08:35:00Z"
       }'

POST Check-in a staff member, visitor or student with their Paxton Net2 fob token id

curl -X POST https://checkie.org/api/checkin \
       -H "Content-Type: application/json" \
       -H "x-api-key: YOUR_API_KEY" \
       -d '{
        "token": "888000"
       }'

POST Check-out a student

curl -X POST https://checkie.org/api/checkout \
       -H "Content-Type: application/json" \
       -H "x-api-key: YOUR_API_KEY" \
       -d '{
        "id": 1234,
        "type": "student",
        "departed": "2025-07-20T15:12:00Z"
       }'

PATCH Update a visitor

curl -X PATCH https://checkie.org/api/visitors/1234 \
       -H "Content-Type: application/json" \
       -H "x-api-key: YOUR_API_KEY" \
       -d '{
       "company": "Checkie Ltd",
       "purpose": "Site Visit"
       }'

DELETE Remove a student

curl -X DELETE https://checkie.org/api/students/789 \
       -H "x-api-key: YOUR_API_KEY"

Additional Support

If you need any help using the API or have any questions about integration, we're happy to assist. Just drop us an email at [email protected] and we'll get back to you as soon as possible.

© Copyright 2026 Checkie Ltd